## jackaudiosrc jackaudiosrc |

## Properties

JackClient * | client | Read / Write
GstJackConnect | connect | Read / Write
gchar * | server | Read / Write
gchar * | client-name | Read / Write
GstJackTransport | transport | Read / Write
gchar * | port-pattern | Read / Write

## Types and Values

struct | GstJackAudioSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstPushSrc
                            ╰── GstAudioBaseSrc
                                ╰── GstJackAudioSrc

## Description

A Src that inputs data from Jack ports.

It will create N Jack ports named in_<name>_<num> where <name> is the element name and <num> is starting from 1. Each port corresponds to a gstreamer channel.

The samplerate as exposed on the caps is always the same as the samplerate of the jack server.

When the “connect” property is set to auto, this element will try to connect each input port to a random physical jack output pin.

When the “connect” property is set to none, the element will accept any number of output channels and will create (but not connect) an input port for each channel.

The element will generate an error when the Jack server is shut down when it was PAUSED or PLAYING. This element does not support dynamic rate and buffer size changes at runtime.

### Example launch line

    1
    gst-launch-1.0 jackaudiosrc connect=0 ! jackaudiosink connect=0

Get audio input into gstreamer from jack.

## Synopsis

### Element Information

plugin | jack
author | Tristan Matthews <tristan@sat.qc.ca>
class | Source/Audio

### Element Pads

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)F32LE, layout=(string)interleaved, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]

## Functions

## Types and Values

### struct GstJackAudioSrc

    struct GstJackAudioSrc;

## Property Details

### The `“client”` property

      “client”                   JackClient *

Handle for jack client.

Flags: Read / Write

### The `“connect”` property

      “connect”                  GstJackConnect

Specify how the input ports will be connected.

Flags: Read / Write

Default value: Automatically connect ports to physical ports

### The `“server”` property

      “server”                   gchar *

The Jack server to connect to (NULL = default).

Flags: Read / Write

Default value: NULL

### The `“client-name”` property

      “client-name”              gchar *

The client name to use.

Flags: Read / Write

Default value: NULL

### The `“transport”` property

      “transport”                GstJackTransport

Jack transport behaviour of the client.

Flags: Read / Write

### The `“port-pattern”` property

      “port-pattern”             gchar *

autoconnect to ports matching pattern, when NULL connect to physical ports

Flags: Read / Write

Default value: NULL

Since: 1.6

## See Also

GstAudioBaseSrc, GstAudioRingBuffer